#include <fstream.h>

#define INPUT_FILE  "win.in"
#define OUTPUT_FILE "win.out"
#define NMAX 100

/* 
Vom reprezenta o fereastra ca o structura cu 4 campuri: coordonatele coltului din stanga sus si coordonatele coltului din dreapta jos.
N - reprezinta numarul de ferestre
f - vector cu N componente in care retinem ferestrele.
Numarul total de click-uri necesare pentru inchiderea ferestrei 0 il vom calcula in variabila globala rez.

Pentru a inchide fereastra 0 vom apela functia recursiva inchide(0).

Cand apelam functia inchide(nr) intentionam sa inchidem fereastra cu numarul nr.
Pentru a inchide ferestra nr trebuie sa inchidem toate ferestrele deschise ulterior
care acopera coltul din dreapta sus al acestei ferestre.
*/

int N;
struct 
  { 
    int ls, ld, cs, cd;
  } f[NMAX];
int inchisa[NMAX];
int rez;

ifstream Fin(INPUT_FILE);
ofstream Fout(OUTPUT_FILE);

void citire(void)
{ 
  int i;
//  fscanf(file,"%d", &N);
  Fin>>N;
  for (i=0; i<N; ++i)
    Fin>>f[i].ls>>f[i].cs>>f[i].ld>>f[i].cd;
  Fin.close();
}

int peste(int a, int b)
/* functia returneaza valoarea 1 daca fereastra a este peste fereastra
   coltul din dreapta sus al ferestrei b si 0 in caz contrar  */
{ 
  if (f[a].ls <= f[b].ls &&
      f[a].ld >= f[b].ls &&
      f[a].cs <= f[b].cd &&
      f[a].cd >= f[b].cd) return 1;
  return 0;
}

void inchide(int nr)
{
  int i;
  for (i=N-1; i>=nr+1; i--)
    if (!inchisa[i] && peste(i, nr))
        inchide(i);
  inchisa[nr]=1;
  ++rez;
}

void rezolvare(void)
{
  int i;
  for (i=0; i<N; i++) inchisa[i] = 0;
  rez = 0;
  inchide(0);
}

void afisare(void)
{
  Fout<<rez<<'\n';
  Fout.close();
}

int main(void)
{
  citire();
  rezolvare();
  afisare();
  return 0;
}
