#include <stdio.h>
#include <string.h>

#define INFILE    "masa.in"
#define OUTFILE   "masa.out"
#define MAXLEN    100
#define LPAREN    '('
#define RPAREN    ')'
#define NATOMS    3

const char atom[NATOMS]={'C', 'H', 'O'};
const int  masa[NATOMS]={ 12,  1 ,  16};

char f[MAXLEN+2];
int pos;
int total;

void citire (void)
{
    char tmp[MAXLEN];
    FILE *input;

    input=fopen(INFILE, "r");
    fscanf(input, "%s", tmp);
    strcpy(f, "("); //incadez formula intre paranteze
    strcat(f, tmp);
    strcat(f, ")");
    fclose(input);
}

void afisare (void)
{
    FILE *output;

    output=fopen(OUTFILE, "w");
    fprintf(output, "%d\n", total);
    fclose(output);
}

int calcul (void)
{
    int sum, i;
    if (f[pos]==LPAREN)
    {
        sum=0;
        pos++;
        while (f[pos]!=RPAREN)
              sum+=calcul();
        pos++;
    }
    else
    {
        for (i=0; i<NATOMS; i++)
            if (f[pos]==atom[i])
               sum=masa[i];
        pos++;
    }

    if (f[pos]>='1' && f[pos]<='9')
    {
        sum*=f[pos]-'0';
        pos++;
    }

    return sum;
}

int main (void)
{
    citire();
    pos=0;
    total=calcul();
    afisare();
    return 0;
}
